Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rie.rieps.engine
Class Job

    java.lang.Object
      com.rie.rieps.engine.Job

    public class Job

extends java.lang.Object

Todo open a dictionnary at the beginning of the job and close it when close method is called Todo the page size must be given ! so %boundedbox can be set

Author:
  Yves Piel

Method Summary
`void` | `addAwtPSFontMappingPropertiesFile(java.io.File f)`
`void` | `addPSFontFile(PSFontFile psff)`
`boolean` | `askForUnmappedAWTFont()`
`void` | `askForUnmappedAWTFont(boolean ask)`
`void` | `close()`
`Document` | `createDocument(int nbPages)`
`static Job` | `createJob(java.io.OutputStream os, Factory factory, float pageWidth, float pageHeight)`
`static Job` | `createPSTopLeftOriginJob(java.io.OutputStream os, float pageWidth, float pageHeight)` Change the origine of the postscript to upper left corner of the page.
`void` | `echoFontMapping(boolean b)`
`java.lang.String` | `getOutputCharset()`
`PSFont` | `getPSFontFromAWT(java.awt.Font fnt)`
`void` | `open()`
`void` | `setAvailableDeviceFont(java.lang.String[] deviceFnt)`
`void` | `setOutputCharset(java.lang.String charset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createJob

    public static Job createJob(java.io.OutputStream os,
                                Factory factory,
                                float pageWidth,
                                float pageHeight)

### createPSTopLeftOriginJob

    public static Job createPSTopLeftOriginJob(java.io.OutputStream os,
                                               float pageWidth,
                                               float pageHeight)

  Change the origine of the postscript to upper left corner of the page.

### open

    public void open()
              throws RiepsException

  Throws:
    `RiepsException`

### close

    public void close()
               throws RiepsException

  Throws:
    `RiepsException`

### setAvailableDeviceFont

    public void setAvailableDeviceFont(java.lang.String[] deviceFnt)

### addAwtPSFontMappingPropertiesFile

    public void addAwtPSFontMappingPropertiesFile(java.io.File f)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### askForUnmappedAWTFont

    public void askForUnmappedAWTFont(boolean ask)

### askForUnmappedAWTFont

    public boolean askForUnmappedAWTFont()

### echoFontMapping

    public void echoFontMapping(boolean b)

### getPSFontFromAWT

    public PSFont getPSFontFromAWT(java.awt.Font fnt)

### setOutputCharset

    public void setOutputCharset(java.lang.String charset)

### getOutputCharset

    public java.lang.String getOutputCharset()

### createDocument

    public Document createDocument(int nbPages)
                            throws RiepsException

  Throws:
    `RiepsException`

### addPSFontFile

    public void addPSFontFile(PSFontFile psff)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD